GuidesAPI Reference
API Reference

Match GPS traces to get the most probably driven path. Use &routeMatch=1 for default route matching behavior. Compatible with version 2 route matching.

Query Params
string

For route matching, use parameter value 1. Used to select the operational mode of the Route Matching algorithm. Supported values are 0|1|2|4.

  • 0 - Default value - DEPRECATED. Computes a legal route that goes through all waypoints. This mode is deprecated. Use HERE Routing API v8 instead.
  • 1 - Route Matching mode - treats waypoints (or a trace file from the POST request body) as a GPS trace and returns the most probable matched route along this trace.
  • 2 - ETA Tracking mode - Available only for POST requests. Computes the route based on the specified waypoints. Additionally, it uses the GPS trace from the request body to detect rest stops or breaks taken by the driver as well as reached or skipped waypoints. To get maneuvers for a matched route, set &legAttributes=mn.
  • 4 - eHorizon mode - In development - not feature-complete. Returns an additional eHorizon, which is a configurable path ahead of the calculated or matched route.
  • 5 - Combined mode - This mode combines routeMatch=1 and routeMatch=4.

Note: Using ETA Tracking mode triggers an additional transaction - keep in mind for cost tracking.

string
required

Vehicle type.

  • Supported vehicle types : bdouble, bicycle, bus, car, carHOV, emergency, motorcycle, pedestrian, roadtrain, taxi, truck.
string
string

Used in routeMatch=0|1|2. If set to true, assumes the driver has keys/permissions to traverse gates.

  • Supported values are: true, false' or airlineDistanceInMeters,entryPenaltyInSec`.
  • traverseGates=airlineDistanceInMeters,entryPenaltyInSec - Only gates within the given airline distance in meters around a waypoint can be traversed. A one-time entry penalty of specified number of seconds is added to the internal cost calculation of the route.
  • entryPenaltyInSec must be between 0 and 2 hours (7200 sec).
  • entryPenaltyInSec can be used to tune the algorithm to either choose passing through the gate or use potential alternative road ways to reach destinations behind a gate.
  • Default value: false - don't traverse any gates unless vehicle type is emergency. `* Gate traversal violation in routeMatch=1 mode are reported as warning.
string

Used in routeMatch=0|2. Allows to control oneway traffic violation behavior. Default - obey all oneways.

  • This parameter is supported only for vehicle types bicycle or emergency.
  • Format - penalty:penaltyFactor,. penalty:0.5 - allows oneway traffic violation if the time benefit is more than 0.5 second/meter.
  • For bicycle recommended penaltyFactor value 0.125, for emergency 0.5.
  • Oneway traffic violations in routeMatch=1 mode are reported as warnings.
string

Maximum adaptive map match search radius (in meters) that will be applied to each waypoint.

  • If specified, overrides the transitRadius value set for waypoints and the default maximum adaptive search radius.
  • For routing (routeMatch=0), the default value is: 1600m, max limit is 5000m.
  • In routeMatch=1 mode this parameter can be used to configure the radius that is used to match trace points to the road network, with the default value of 300m and the max limit of 10000m.
string

Comma-separated list of Map Attributes layer names used to get additional attributes along the route.

  • Only link-based attribute layers (roughly those ending in _FC1, _FC2, etc. and _FCn) are supported.
  • Specify layer with _FCn (like SPEED_LIMITS_FCn), to get content from respective functional class layer corresponding to the link.
  • After each layer name, comma separated list of individual layer attributes can be listed within brackets. Use an asterisk (*) to get all layer attributes.
  • Example: &attributes=LINK_ATTRIBUTE_FCn(*),ROAD_GEOM_FCn(TUNNEL),SPEED_LIMITS_FCn(FROM_REF_SPEED_LIMIT,TO_REF_SPEED_LIMIT).
  • A maximum of 32 layers can be requested at once.
string

Vehicle type for toll calculation.

  • Supported values: 1 - Motorcycle, 2 - Auto, 3 - Truck, 4 - Motor home, 5 - Minibus, 6 - Bus, 7 - Motorcycle Sidecar(EU), 8 - Tricycle(EU), 9 - Delivery Truck(EU+India), 10 - Snowmobile(US), 11 - Pick-up (US+India), 12 - Tractor (US+India), 13 = Taxi, 14 - HCM/EME (Heavy Construction Machinery/Earth Moving Equipment - India)
  • Use if applicable toll should also be calculated for the route in routeMatch=0|2 mode.
  • Or use if applicable toll should be calculated for the matched route in routeMatch=1 mode.
string

Used in routeMatch=0|1|2. Comma separated list of rollups (groupings, aggregation levels) for the toll cost response. Currently supported values are:

  • none - toll cost details per link,
  • total - overall total toll cost only,
  • tollsys - toll cost summary per toll system,
  • country - summary per country,
  • country;tollsys - summary per country and toll system.
  • Example: &rollups=none,country;tollsys,country - returns the individual link level cost details and two different summaries.
string

Used in routeMatch=0|1|2. Comma separated list of owned passes for toll cost calculation.

  • Allows traversal of 'transponder-only' toll booths, allows cost free traversal of certain toll sections and allows using cheaper prices for transponder/pass owners.
  • Supported values: Senior_Pass, transponder (meaning the vehicle has all transponders), allPasses (has all required passes), Annual (meaning the vehicle has all annual passes), Nr_of_Days (has all passes valid for number of days), Nr_of_Months (has all passes valid for number of months), AutoPass, SunPass, E-Z Pass (last 2 are examples for real toll transponders).
  • Can also list toll system ids or toll booth condition ids.
string

Three letter ISO currency symbol. Required if toll cost must be added up across different currencies and/or be added to driver/vehicle/fuel cost in different currencies.

string

Specifies the time of departure for routeMatch=0|2.

  • Format: now or yyyy-MM-dd'T'HH:mm:ss or yyyy-MM-dd'T'HH:mm:ssX.
  • Example: &departure=now or &departure=2024-10-27T11:52:50
  • If no timezone is specified, then the local timezone at the route start link is used.
  • In routeMatch=2, the departure time for the route part is replaced by the last available GPS time from the trace.
  • If no departure parameter is set, all time dependent access restrictions are ignored.
string

Only applicable when routeMatch=0. Format like parameter departure.

  • If an arrival time is specified, the estimated departure time of a journey is returned in the response.
  • Does not work if a departure time is specified in addition.
  • Note that toll cost is not considered when arrival time is specified.
string

Used in routeMatch=0|2. Set to true or false, to enable/disable usage of traffic incidents for route estimation for complete length of the route. Default is false - traffic incidents are disabled.

Note: Usage of traffic incidents will impact the routing response time, so use only if necessary.

string

Used in routeMatch=0|1|2. Maximum speed allowed for the whole route.

  • Supported units are kmh (kilometres per hour), mph (miles per hour) and mps (metres per second).
  • If no unit is provided, kmh will be used as default unit.
  • Examples: &maxSpeed=90 or &maxSpeed=90kmh or &maxSpeed=55.92mph or &maxSpeed=25mps .
string

Only for routeMatch=0. Maximum number of alternative route options to return. Can return less or no alternatives. Only returns route alternatives that significantly differ from the best route but are not much more costly.

string

Only for routeMatch=1|2. Route matching aligns the driving time to the GPS timestamps in trace (if available). Supported values: 0|1. This feature is enabled by default (1), set the value 0 to disable it.

string

Used in routeMatch=0|2. Comma-separated list of speeds in km/h driven per functional road class (1-5 + Virtual Connections VC) and speed category (1-8), for example, FC1-SC1,FC1-SC2,...,FC1-SC8;FC2-SC1,FC2-SC2,...;...;VC-SC1,FC-SC2,...VC-SC8.

  • Functional classes are semicolon-separated.
  • Can contain empty entries when there is no change to default ones used in the service, for example, 80,76,,,,,,;,,,54,46,,,;....
  • Overrides router's default driven speed values.
  • Predefined profiles can be activated using these values: car, lightTruck, mediumTruck,heavyTruck, limitedWeight, learnIdSpeed.
  • Example: &speedFcCat=80,76,68,,,,,;,,,,,,,;,,,,,,,;,,,,,,,;,,,,,,,;,,,,,,, - change the speed on FC1 roads for speed category 1 to 3 .
string

Used in routeMatch=0|2. Map match tolerance (in meter) that will be applied to each way point. Routing can reach the waypoint on all links that are in the specified radius vicinity around the waypoint. Default 3.0m.

string

Used in routeMatch=1|2. Option to specify that trace points without a provided speed value are ignored for matching. Default = consider all points. 1 = ignore trace points that have zero speed (only in traces that provide speed but not time).

string

Used in routeMatch=1|2. For enabling calculation of spatial distance between tracepoints. Supported values: 0|1|2.

  • 0 - Default value, feature is disabled.
  • 1 - return spatial distance between matched trace points.
  • 2 - return spatial distance between original trace points
string

Trailer type in a vehicle + trailer combination. Supported values: 0 - None (Default), 1 - Caravan, 2 - Trailer, 3 - RVTrailer, 4 - BoatTrailer. Applicable for toll cost calculation and recreational vehicle restrictions.

string

Number of vehicle axles excluding trailer axles. Applicable for toll cost calculation and country wide truck restrictions.

string

Number of trailer axles. Applicable for toll cost calculation and for country wide truck restrictions.

string

Type of hybrid vehicle. Supported values: 1 - fuel+electric, 0 - otherwise (Default). Applicable for toll cost calculation.

string

Emission type category of the vehicle. supported values: 1 - EURO I, 2 - EURO II, 3 - EURO III, 4 - EURO IV, 5 - EURO V, 6 - EURO VI, 7 - EURO EEV, 8 - Electric Vehicles, 9 - EURO II with PRC (deprecated), 10 - EURO III with PRC (deprecated), 11 - EURO VII.

  • Applicable for toll cost calculation and environmental zone restrictions.
  • When emissionType is not specified it defaults to 5.
string

CO2 emission class of the vehicle. Supported values: 1 - Emission class 1, 2 - Emission class 2, 3 - Emission class 3, 4 - Emission class 4, 5 - Emission class 5.

  • Applicable for toll cost calculation only. When co2EmissionClass is not specified then it defaults to 1.
  • Providing invalid combination of emissionType and co2EmissionClass in request may result in incorrect toll costs.
string

Actual height of the trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: 350cm or 3.5m or 138in. For toll cost calculation only, not considered for route path creation (use height parameter).

string

Actual total weight of vehicle incl. payload, but not trailers' weight or payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: 7.5t or 7500kg or 16500lbs. See also limitedWeight. Applicable for toll cost calculation only.

string

Used in routeMatch=0|2. Legal maximum weight limit of vehicle incl. payload and trailers. Also including their payload as a total. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: 7.5t or 7500kg or 16500lbs. Applicable for truck restrictions only.

string

Vehicle is signposted to to carry disabled people. Accepted values are: 1 - vehicle equipped to carry disabled people, 0 - otherwise (default). Applicable for toll cost calculation only.

string

Actual number of passengers in vehicle. Applicable for toll cost calculation only.

string

Total number of tires from vehicle, including tires on the base vehicle and any attached trailers. Applicable for toll cost calculation only.

string

Vehicle use has commercial purpose. Accepted values are: 1 - vehicle registered for commercial use, 0 - no commercial use (Default: not specified). Applicable for toll cost calculation, environmental zone regulations and delivery-only zones.

string

Height of the vehicle above its first axle. Example: 350cm or 3.5m or 138in. Applicable for toll cost calculation only.

string

Defines the fuel powering the vehicle. Supported values: Diesel, Petrol, LPG, LNG, CNG, Ethanol, Propane, Hydrogen, Electric, LPG - Liquefied Petroleum Gas, LNG - Liquefied Natural Gas). Applicable for environmental zone restrictions, toll cost calculation and consumption based routing for Electric vehicles.

string

Semicolon separated list of vehicle weight [tons] per axle group. Each item is a tuple (name,value). Supported values: drive, single, tandem, triple, quad, quint. Example: &weightPerAxleGroup=drive:12;single:11;tandem:18 .

string

Actual total weight of trailers with their payload. Accepted value units are t (tons), kg (kilograms) or lbs (pounds). Example: 7.5t or 7500kg or 16500lbs. See also parameter limitedWeight. Applicable for toll cost calculation only.

string

Number of trailers or semi-trailers. For toll cost and truck restrictions.

  • Supported values: 0 - no trailer (default), 1 - one or more trailers, 2 - two or more trailers, 3 - three or more trailers, 4 - one or more semi-trailers.
  • &trailersCount=4 is not supported for Waypoint Sequencing.
string

Actual height of the overall rigid/semi truck including trailers. Accepted value units are cm (centimeter), m (meter) or in (inch). Example: 350cm or 3.5m or 138in. Applicable for truck restrictions and toll cost.

string

Actual total weight of vehicle incl. payload and trailers/caravan including their payload.

  • Accepted value units are t (tons), kg (kilograms) or lbs (pounds).
  • Example: 7.5t or 7500kg or 16500lbs.
  • Applicable for truck restrictions, speed profile selection, toll cost calculation and environmental zone restrictions. See also parameter vehicleWeight.
  • Note that country wide weight restrictions depend on the length, width, number of axles and trailers as well, so it might be necessary to specify these parameters as well.
string

Comma separated list from supported values: explosive, gas, flammable, combustible, organic, poison, radioActive, corrosive, poisonousInhalation, harmfulToWater, other, allhazardousGoods, explosiveFlammable.

  • Applicable for toll cost calculation and truck restrictions.
  • For toll cost only values explosive and other are supported.
  • For Waypoints Sequence values allhazardousGoods and explosiveFlammable are not supported.
string

Length of the vehicle (including potential trailers).

  • Accepted value units are cm (centimeter), m (meter) or in (inch). Example: 1250cm or 12.5m or 492in.
  • Applicable for toll cost calculation and truck restrictions.
  • Note that country wide length restrictions depend on the limitedWeight, width, number of axles and trailers as well, so it might be necessary to specify these parameters as well.
string

Actual total weight per axle, incl. payload.

  • Accepted value units are t (tons), kg (kilograms) or lbs (pounds).
  • Example: 7.5t or 7500kg or 16500lbs.
  • For Waypoints Sequence only supported unit is kg, without explicitly specifying unit.
  • Applicable for toll cost calculation and truck restrictions.
string

Width of the vehicle and trailer(s). Accepted value units are cm (centimeter), m (meter) or in (inch). Example: 350cm or 3.5m or 138in. Applicable for truck restrictions. Note that country wide width restrictions depend on the limitedWeight, length, number of axles and trailers as well, so it might be necessary to specify these parameters as well.

string

Defines the tunnel categories the truck must NOT use. Supported values: B, C, D or E.

  • A tunnels have no restrictions.
  • E tunnels have most restrictions.
  • Example: If &tunnelCategory=C is specified, then route will use A and B tunnels but not C, D or E.
string

Used in routeMatch=0|2, to enable driver rest time calculations based on legal drive/rest intervals.

  • In routeMatch=1 mode the response returns warnings if rest times were not detected.
  • The rest times can be specified by using the parameter &restTimes= followed by one, four, five, six or ten comma separated values (no spaces).
  • Specify &restTimes=local (one value) to obey the legal driver rest times of the respective country where route is being traversed.
  • Example with four values: EU regulations requires that after 4.5h a 45min break and after 9h a 11h rest must be taken. This can be specified as &restTimes=16200,2700,32400,39600 .
  • Alternatively, detailed rest time can be specified using upto ten proprietary comma separated values: driveShortSec, timeShortSec, restShortSec, driveLongSec, timeLongSec, restLongSec, driveTimeSinceLastShortRestSec, elapsedTimeSinceLastShortRestSec, driveTimeSinceLastLongRestSec, elapsedTimeSinceLastLongRestSec .
  • For more detailed information and usage of this parameter, check the developer guide concepts page titled Legal driver rest times.'
  • In addition to normal rest time values, one can specify ;earlierRestTimeFactor:0.0, to take rest times much earlier to reduce travel time (arriving with less legal driving time left), default = 0.75.
string

Used in routeMatch=0|2. Driver cost per hour in target currency. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary. Default: no driver cost given - no cost per hour optimization.

string

Used in routeMatch=0|2. Cost per hour in target currency while driver is taking a legal rest time. Can be between 0 and driver_cost value. Can be used to optimize returned routes in mode routeMatch=0|2 based on cost.

string

Used in routeMatch=0|2. Vehicle cost per kilometer in target currency. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary. Default: no vehicle cost given - no cost per kilometer optimization.

string

Used in routeMatch=0|2. Vehicle cost per kilometer on ferry in target currency. Default = vehicle_cost. In routeMatch=0 mode, routes can be optimized based on cost by combining the driver, vehicle, and ferry costs with possible toll costs. This optimized cost is returned in the summary.

string

Used in routeMatch=0|2. The cost of a consumption unit in targetCurrency. Default is 1.

string

Used in routeMatch=1|2. Parameter to enable the advanced driving analytics / driving reports feature, added to the route match response (routeMatch=1).

  • Set to 1 to enable it, disabled by default.
  • For more information on this parameter and usage, check the developer guide concepts page titled Advanced driving analytics.

Note: Using this feature will incur an additional transaction.

string

Used in routeMatch=4 or routeMatch=5. Comma separated list of limitations for extending the electronic horizon path.

  • Format: limitType:value
  • Currently supported type is only length with value in meter. Example: length:1000 .
  • For more information on this parameter and usage, check the developer guide concepts page titled Driver alerts and Electronic Horizon.

**Note:**This feature is in development and not complete.

string

Used in mode routeMatch=0|2. Restrictions around waypoints can be ignored by setting value as: radius[;drivePenaltyFactor[;type[;entryPenalty]]].

  • For detailed information on this parameter and its usage, please see developer guide concepts page titled Find a path despite access restrictions.
  • Example: &ignoreWaypointVehicleRestriction=5000;1;all;1800 - ignore restrictions within 5 km around waypoints, with an entry penalty of 30 minutes and almost twice the driving time.
  • In mode routeMatch=1, a warning is returned if restriction violations are detected.
string

Used in mode routeMatch=0|2. By default all admin wide truck restrictions are obeyed by the algorithm. If value is set to ignore, it will ignore them. Admin wide truck restriction violations in mode routeMatch=1 are reported as warning.

string
string

Used in routeMatch=0|1|2. List of areas (rectangles or polygons) to be avoided.

  • Areas are separated by ! sign.
  • Rectangles can be specified with two diagonal coordinates separated by semicolon. Format: latitudeNorth,longitudeWest;latitudeSouth,longitudeEast.
  • Polygons are specified with consecutive vertex coordinates separated by semicolon. Format: latitude1,longitude1;laitudet2,longitude2;latitude3,longitude3;...
string

Used in routeMatch=0|2. Option to use private streets for routing. Supported values: 0|1|-1.

  • Default is '0' - access is allowed if there is a waypoint in a street that is set for private use only.
  • Set it to '1' - always allow access to private streets.
  • Set it to '-1' - always forbid access to private streets.
string

Only for routeMatch=0. Penalties in seconds to avoid unnecessary waiting time on border crossings.

  • Countries should be specified according to three character ISO 3166 standard.
  • A comma should be used to separate list of multiple avoidChangeCountry on the route.
  • Format: Country code1-Country code2:Penalty in seconds[,Country code1-Country code2:Penalty in seconds]
  • Example: &avoidCountryChange=DEU-CHE:1200,HRV-SVN:280 - to avoid country change from Germany - Switzerland and from Croatia - Slovenia.
string

Only for routeMatch=0. Preferred routes for a specific vehicle type are taken by default. To turn if off set ignorePreferredRoutes to true.

string

For avoiding difficult turns on the route path.

  • Comma separated list of elements like left[;minAngleDegree;penaltySec] or right[;minAngleDegree;penaltySec] or uTurn[;penaltySec] .
  • If a left or right turn is sharper than the specified angle (between 0 - 180°), then the given time penalty is applied. Example: &avoidTurns=right;120;200 .
  • If not explicitly specified in parameter, default minAngleDegree is set 80° and default penaltySec is set to 600 seconds. Example: &avoidTurns=right or &avoidTurns=uTurn .
  • For avoiding 180° turns to reverse the direction of travel (u-turns) set uTurn with penalty between 10 seconds and 600 seconds. Example: &avoidTurns=uTurn;300 .
  • Setting the value to uTurnAtWaypoint avoids u-turn on the link directly where the waypoint was reached.
string

Used in routeMatch=0|2. Comma separated list of road features to be avoided.

  • Format: featureType[;entryPenalty;drivePenalty].
  • entryPenalty in seconds is applied once when the feature is avoided.
  • drivePenalty in seconds is applied for each km driven in avoided area.
  • entryPenalty and drivePenalty are optional. If not specified, default penalty values apply.
  • Currently supported feature type is only: unpaved with default entryPenalty of 1200 seconds (20 minutes) and drivePenalty of 120 seconds (2 minutes per km driven).
  • Example: unpaved[;300;50] - Avoids unpaved roads with 300 seconds penalty to enter and 50 seconds/km drive penalty.
string

Only for routeMatch=0. Make use of truck verified roads for truck routing. Supported values: 0|1|-1.

  • Default is 0 - access is allowed, but truck verified routes are not preferred or avoided.
  • Set to 1 - prefer transport verified roads.
  • Set to -1 - avoid transport verified roads.
string

To choose the maneuver instruction text representation format in response. Supported formats are: text or html.

string

Language for the maneuver instructions in the response.

  • Currently supported values: de-de, en-us, it-it, fr-fr, es-es, pt-pt, pl-pl, zh-cn, zh-tw, zh-hk and ja-jp.
  • If not specified, en-us is used.
string

Used in routeMatch=0|2. Defines which information is included in the response route part of the calculated route.

  • Defaults to mode (mo), waypoints (wp), summary (sm), flags (fl).
  • Also supported: speedProfile (sp), shape (sh), summaryByCountry (sc), boundingBox (bb), none.
  • All supported route attributes can also be excluded in the response by putting a hyphen in the front. e.g. -wp .
string

Used in routeMatch=0|1|2, this parameter determines the information included in the response as part of the calculated route..

  • The default value is warnings (wn). Other supported options include language (lg) and none.
  • Any supported response attribute can be excluded by adding a hyphen (-) before it, e.g., -wn.
string

Used in routeMatch=0|1|2. Defines which information is included in the meta part of the calculated route.

  • Defaults to none. Also supported: version (ver).
  • Supported meta attributes can be excluded in the response by putting a hyphen in the front. e.g. -ver
string

Used in routeMatch=0|1|2. Defines which information is included in the response as part of the data representation of the route maneuvers.

  • Defaults to position (po), length (le), travelTime (tt).
  • Also supported: direction (di), action (ac), indices (ix), lanes (ln), roadName(rn), nextRoadName (nr), beforeAfter (ba) and none.
  • All supported maneuver attributes can be excluded in the response by putting a hyphen in the front. e.g. -le
string

Used in routeMatch=0|1|2. Defines which information is included in the response as part of the route legs.

  • Defaults to links (li), maneuvers (mn), length (le), travelTime (tt), baseTime (bt), trafficTime (tm).
  • Also supported: shape (sh), boundingBox (bb), turnbyturnmaneuvers (mm), none.
  • All supported leg attributes can be excluded in the response by putting a hyphen in the front. e.g. -mn.
  • Also in routeMatch=1|2 modes legAttributes=mn is supported.
string

Used in routeMatch=0|1|2. Defines which information is included in the response for each link in a leg.

  • Defaults to shape (sh), length (le), remainTime (rt), remainDistance (rd), functionalClass (fc), warnings (wn), confidence (cd), segmentRef (sr).
  • Also supported: cost (co), maneuver (ma), timezone (tz), none.
  • All supported link attributes can be excluded in the response by putting a hyphen in the front. e.g. -rt
string

Used in routeMatch=0|1|2. The penalty factor can be set from 0 to 100. The higher the value, the more effort is used internally to match waypoints in the given driving direction. Default = 1.

string

Only for routeMatch=0, not supported for route matching. Specify if the route may not enter a specific zone type.

  • Currently supported values: environmental,vignette and congestionPricing.
  • If omitted or empty, zone restrictions are not taken into account.
string

Used for routeMatch=0|1|2. Specify the licenseplate of the vehicle, which can influence the permission to drive in certain zones, mostly environmental zones. Environmental zone violations in routeMatch=1 mode are reported as warning.

string

Used for routeMatch=0|1|2. Comma separated overlay map name(s). Used to reference towards private or adapted HERE road network attributions. If an overlay is specified, the road network is used and included in the route calculation. If multiple overlays are specified, they are treated as parent-child relationship. For example the parent overlay could contain the road geometry of a yard, then two different child overlays can be used to block certain road stretches dependent on the vehicle attribution. Overlay names are case insensitive. Must start with OVERLAY and contain only characters A-Z and numbers 0-9.

Note: The overlays parameter is deprecated.

string

Used for routeMatch=0|1|2. Comma separated list of key value pairs of custom restriction limits.

  • These custom restriction limits must be first uploaded into a custom road overlay.
  • The key and value of individual custom restriction limit must be numeric and must be separated by colon.
  • Example: &customRestrLimit=0:10,1:20,2:50 .
string

Comma separated list of Customer (BYOD) layer names, to get link attributes along the route. Custom layers can be uploaded in the Custom Location Service (also known as CLE) in self-hosting. Format follows the attribute parameter. No FCn notation supported.

string

For mode routeMatch=0|2. Semicolon separated list of speed/ascent/descent/builtupFactor/auxilliaryConsumption fuel consumption parameters.

  • Speed is a list of $/km for different speeds.
  • ascent and descent are additional $/km per altitude climbed or descended.
  • builtupFactor is an optional heuristic consumption multiplier for urban area, default value is 1.55.
  • auxilliaryConsumption is the additional consumption (per hour) for running auxilliary units (climate control, infotainment, lights, etc.).
  • Cost unit is not $ but one specified in parameter 'currency'.
  • Example: speed,0,0.102,10,0.084,30,0.066,50,0.06,70,0.066,100,0.072,120,0.084,140,0.108;ascent,0.4;descent,0.1;builtupFactor,1.4. This means at 70 kph the car consumes 6.6$/100km and 0.4$/km altitude climbed, consumption increases 40% in urban area.
  • Alternatively, user can specify one of the default consumption profile using following supported values: 3.5t, 7.5t, 18t, 40t or weightDependent.
  • If specified as weightDependent, consumption profile will be decided based on vehicle weight in parameter limitedWeight. So, this parameter also needs to be specified.
string

Custom timeout of a request. Processing of the request must be finished within this amount of milliseconds. Default 50000. Maximum 50000.

string
required

Only for modes routeMatch=0|2. Generic waypoint parameter to indicate the format. For routeMatch=1 trace to be matched should be added as POST body.

  • Waypoints should start with 'waypoint0' and increase in sequence (waypoint1, waypoint2..) to waypointN.
  • A route must consist of at least 2 waypoints (start and destination).
  • The maximum number of waypoints is limited. However, this limit is not a fixed number but is a result of the limit for the overall processing time.
  • Format: latitude,longitude;transitRadius;label;heading[;optional specifications]
  • Set a transit radius to only influence the route to go via a certain city (Example: &waypoint1=50.12,8.65;10000).
  • Set a heading (degree clockwise from North) to improve map matching (Example: &waypoint0=latitude,longitude;;;140).
  • To define a loading time or delay time at a waypoint, use stopOver[,timeInSeconds]! (Example: &waypoint1=stopOver,300!50.12,8.65).
  • The optional specifications: altitude, custom label, !StreetPosition and !LinkPosition, ignoreRestriction are currently supported.
  • To define a radius around the waypoint where vehicle restrictions should be ignored use optional specification ;ignoreRestriction:radius[,drivePenalty[,type[,entryPenalty]]]. Example: &waypoint1=50.12,8.65;ignoreRestriction:8000,0.9,all,1800 .
  • This is similar to the global parameter 'ignoreWaypointVehicleRestriction' which applies to all waypoint. But when specified explicitly for a waypoint, the 'ignoreRestriction' specification of waypoint is applied.
string
required

API key used to authenticate API requests.

string

Specifies the function used to wrap the JSON response

Response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json